Closed Bug 1364764 Opened 2 years ago Closed 2 years ago

Intermittent browser/components/sessionstore/test/browser_windowStateContainer.js | application crashed [@ mozilla::dom::quota::QuotaManagerService::RemoveIdleObserver()]

Categories

(Core :: DOM: Quota Manager, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla56
Tracking Status
firefox-esr52 --- unaffected
firefox54 --- unaffected
firefox55 --- fixed
firefox56 --- fixed

People

(Reporter: aryx, Assigned: ehsan)

References

Details

(Keywords: assertion, intermittent-failure, Whiteboard: [stockwell fixed:product])

Attachments

(1 file)

https://treeherder.mozilla.org/logviewer.html#?job_id=98977986&repo=mozilla-central

17:06:14     INFO -  GECKO(4980) | Assertion failure: false (NS_SUCCEEDED(idleService->RemoveIdleObserver(this, kIdleObserverTimeSec))), at z:/build/build/src/dom/quota/QuotaManagerService.cpp:508
17:06:14     INFO -  GECKO(4980) | #01: mozilla::dom::quota::QuotaManagerService::Observe(nsISupports *,char const *,char16_t const *) [dom/quota/QuotaManagerService.cpp:815]
17:06:14     INFO -  GECKO(4980) | #02: nsObserverList::NotifyObservers(nsISupports *,char const *,char16_t const *) [xpcom/ds/nsObserverList.cpp:112]
17:06:14     INFO -  GECKO(4980) | #03: nsObserverService::NotifyObservers(nsISupports *,char const *,char16_t const *) [xpcom/ds/nsObserverService.cpp:285]
17:06:14     INFO -  GECKO(4980) | #04: nsXREDirProvider::DoShutdown() [toolkit/xre/nsXREDirProvider.cpp:1122]
17:06:14     INFO -  GECKO(4980) | #05: ScopedXPCOMStartup::~ScopedXPCOMStartup() [toolkit/xre/nsAppRunner.cpp:1446]
17:06:14     INFO -  GECKO(4980) | #06: mozilla::DefaultDelete<ScopedXPCOMStartup>::operator()(ScopedXPCOMStartup *) [obj-firefox/dist/include/mozilla/UniquePtr.h:528]
17:06:14     INFO -  GECKO(4980) | #07: XREMain::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [toolkit/xre/nsAppRunner.cpp:4764]
17:06:14     INFO -  GECKO(4980) | #08: XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [toolkit/xre/nsAppRunner.cpp:4826]
17:06:14     INFO -  GECKO(4980) | #09: mozilla::BootstrapImpl::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [toolkit/xre/Bootstrap.cpp:45]
17:06:14     INFO -  GECKO(4980) | #10: do_main [browser/app/nsBrowserApp.cpp:237]
17:06:14     INFO -  GECKO(4980) | #11: NS_internal_main(int,char * *,char * *) [browser/app/nsBrowserApp.cpp:309]
17:06:14     INFO -  GECKO(4980) | #12: wmain [toolkit/xre/nsWindowsWMain.cpp:118]
17:06:14     INFO -  GECKO(4980) | #13: __scrt_common_main_seh [f:/dd/vctools/crt/vcstartup/src/startup/exe_common.inl:253]
17:06:14     INFO -  GECKO(4980) | #14: kernel32.dll + 0x53c45
17:06:14     INFO -  GECKO(4980) | #15: ntdll.dll + 0x637f5
17:06:14     INFO -  GECKO(4980) | #16: ntdll.dll + 0x637c8
17:06:14     INFO -  GECKO(4980) | Hit MOZ_CRASH(Aborting on channel error.) at z:/build/build/src/ipc/glue/MessageChannel.cpp:2465
17:06:14     INFO -  GECKO(4980) | #01: base::MessagePumpForIO::WaitForIOCompletion(unsigned long,base::MessagePumpForIO::IOHandler *) [ipc/chromium/src/base/message_pump_win.cc:497]
17:06:14     INFO -  GECKO(4980) | #02: base::MessagePumpForIO::WaitForWork() [ipc/chromium/src/base/message_pump_win.cc:474]
17:06:14     INFO -  GECKO(4980) | #03: base::MessagePumpForIO::DoRunLoop() [ipc/chromium/src/base/message_pump_win.cc:436]
17:06:14     INFO -  GECKO(4980) | #04: base::MessagePumpWin::Run(base::MessagePump::Delegate *) [ipc/chromium/src/base/message_pump_win.h:80]
17:06:14     INFO -  GECKO(4980) | #05: MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:238]
17:06:14     INFO -  GECKO(4980) | #06: MessageLoop::RunHandler() [ipc/chromium/src/base/message_loop.cc:232]
17:06:14     INFO -  GECKO(4980) | #07: MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:212]
17:06:14     INFO -  GECKO(4980) | #08: base::Thread::ThreadMain() [ipc/chromium/src/base/thread.cc:182]
17:06:14     INFO -  GECKO(4980) | #09: `anonymous namespace'::ThreadFunc [ipc/chromium/src/base/platform_thread_win.cc:29]
17:06:14     INFO -  GECKO(4980) | #10: kernel32.dll + 0x53c45
17:06:14     INFO -  GECKO(4980) | #11: ntdll.dll + 0x637f5
17:06:14     INFO -  GECKO(4980) | #12: ntdll.dll + 0x637c8
17:06:14     INFO -  TEST-INFO | Main app process: exit 1
17:06:14     INFO -  Buffered messages finished
17:06:14    ERROR -  574 ERROR TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_windowStateContainer.js | application terminated with exit code 1
17:06:14     INFO -  runtests.py | Application ran for: 0:09:22.924000
17:06:14     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmpdqbj4rpidlog
17:06:14     INFO -  ==> process 4980 launched child process 4324 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.0.1406724638\1744991653" -childID 1 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 2104 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.5.127535011\501314755" -childID 2 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 2544 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.10.925211934\1870019942" -childID 3 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 3660 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.15.1931387973\450492168" -childID 4 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:2|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 1160 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.20.446106676\455584309" -childID 5 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4356 ("Z:\task_1494779374\build\application\firefox\plugin-container.exe" --channel="4980.25.1554053847\1412959134" "c:\users\genericworker\appdata\local\temp\tmptlir3k.mozrunner\plugins\npswftest.dll" -greomni "Z:\task_1494779374\build\application\firefox\omni.ja" -appomni "Z:\task_1494779374\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1494779374\build\application\firefox\browser" - 4980 "\\.\pipe\gecko-crash-server-pipe.4980" plugin)
17:06:14     INFO -  ==> process 4980 launched child process 4340 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.26.1668118311\198790508" -childID 6 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4532 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.31.852977687\447982228" -childID 7 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 2868 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.36.1877469444\227688425" -childID 8 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 5156 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.41.1027368063\286960186" -childID 9 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 6084 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.46.1245544131\1157860088" -childID 10 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 1420 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.51.1400187285\58222339" -childID 11 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4264 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.56.1089403059\141719775" -childID 12 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 1432 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.61.2142609395\357496233" -childID 13 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 5848 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.66.1933145970\1140484741" -childID 14 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 1680 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.71.707984991\1523053707" -childID 15 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 3320 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.76.496887996\384628304" -childID 16 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 6080 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.81.1499431382\1892032516" -childID 17 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4800 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.86.1425702390\1173060431" -childID 18 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4020 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.91.390898703\664792540" -childID 19 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 4216 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.96.1906713333\1593817867" -childID 20 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!==> process 4980 launched child process 3172 ("Z:\task_1494779374\build\application\firefox\firefox.exe" -contentproc --channel="4980.101.2076336878\155114245" -childID 21 -isForBrowser -intPrefs 5:50|6:-1|28:1000|33:0|34:0|43:128|44:10000|49:0|51:400|52:1|53:0|54:0|59:0|60:120|61:120|92:2|93:1|107:0|118:0|120:0|131:10000|143:-1|148:128|149:10000|150:0|156:24|157:32768|159:0|160:0|168:2|172:1048576|173:100|174:5000|176:600|178:1|187:2|191:0|201:60000| -boolPrefs 1:0|2:0|4:1|26:1|27:1|30:0|35:1|36:0|37:0|38:0|41:1|42:1|45:1|46:1|47:0|48:0|50:0|55:1|56:1|57:1|58:1|62:1|63:1|64:0|65:1|66:1|67:1|68:1|71:0|72:0|75:1|76:1|79:1|80:1|81:1|82:1|83:0|84:0|85:0|86:0|87:1|88:0|91:0|94:1|95:0|101:0|106:0|109:1|110:1|113:1|115:1|119:0|122:1|123:1|125:1|126:1|132:0|133:0|134:1|136:0|142:0|144:1|145:0|146:1|147:0|154:0|155:0|158:1|161:0|163:1|165:1|166:0|171:0|175:1|180:0|181:0|182:0|183:1|184:0|185:1|186:1|189:0|193:1|194:0|195:1|196:1|197:0|198:1|199:1|200:1|202:0|203:0|205:1|213:1|214:1|215:0|216:0|217:0| -stringPrefs "3:7;default|135:4;0.01|152:332; ����!
17:06:14     INFO -  zombiecheck | Checking for orphan process with PID: 4324
17:06:14     INFO -  zombiecheck | Checking for orphan process with PID: 4340
17:06:14     INFO -  mozcrash Copy/paste: Z:\task_1494779374\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmptlir3k.mozrunner\minidumps\7df9c7db-53f2-47c0-b307-fce7e097608d.dmp Z:\task_1494779374\build\symbols
17:06:31     INFO -  mozcrash Saved minidump as Z:\task_1494779374\build\blobber_upload_dir\7df9c7db-53f2-47c0-b307-fce7e097608d.dmp
17:06:31     INFO -  mozcrash Saved app info as Z:\task_1494779374\build\blobber_upload_dir\7df9c7db-53f2-47c0-b307-fce7e097608d.extra
17:06:31  WARNING -  PROCESS-CRASH | browser/components/sessionstore/test/browser_windowStateContainer.js | application crashed [@ mozilla::dom::quota::QuotaManagerService::RemoveIdleObserver()]
17:06:31     INFO -  Crash dump filename: c:\users\genericworker\appdata\local\temp\tmptlir3k.mozrunner\minidumps\7df9c7db-53f2-47c0-b307-fce7e097608d.dmp
17:06:31     INFO -  Operating system: Windows NT
17:06:31     INFO -                    6.1.7601 Service Pack 1
17:06:31     INFO -  CPU: x86
17:06:31     INFO -       GenuineIntel family 6 model 63 stepping 2
17:06:31     INFO -       8 CPUs
17:06:31     INFO -  GPU: UNKNOWN
17:06:31     INFO -  Crash reason:  EXCEPTION_BREAKPOINT
17:06:31     INFO -  Crash address: 0x597a6425
17:06:31     INFO -  Process uptime: 563 seconds
17:06:31     INFO -  Thread 0 (crashed)
17:06:31     INFO -   0  xul.dll!mozilla::dom::quota::QuotaManagerService::RemoveIdleObserver() [QuotaManagerService.cpp:626efff0df63 : 499 + 0x18]
17:06:31     INFO -      eip = 0x597a6425   esp = 0x0031f9fc   ebp = 0x0031fa04   ebx = 0x00000000
17:06:31     INFO -      esi = 0x000001fc   edi = 0x10e21704   eax = 0x00000000   ecx = 0x623406ef
17:06:31     INFO -      edx = 0x00000060   efl = 0x00000206
17:06:31     INFO -      Found by: given as instruction pointer in context
17:06:31     INFO -   1  xul.dll!mozilla::dom::quota::QuotaManagerService::Observe(nsISupports *,char const *,char16_t const *) [QuotaManagerService.cpp:626efff0df63 : 814 + 0x8]
17:06:31     INFO -      eip = 0x597a2208   esp = 0x0031fa0c   ebp = 0x0031faa0
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   2  xul.dll!nsObserverList::NotifyObservers(nsISupports *,char const *,char16_t const *) [nsObserverList.cpp:626efff0df63 : 112 + 0x1a]
17:06:31     INFO -      eip = 0x5805be84   esp = 0x0031faa8   ebp = 0x0031fac0
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   3  xul.dll!nsObserverService::NotifyObservers(nsISupports *,char const *,char16_t const *) [nsObserverService.cpp:626efff0df63 : 281 + 0xe]
17:06:31     INFO -      eip = 0x5805bf7a   esp = 0x0031fac8   ebp = 0x0031fadc
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   4  xul.dll!nsXREDirProvider::DoShutdown() [nsXREDirProvider.cpp:626efff0df63 : 1121 + 0x15]
17:06:31     INFO -      eip = 0x5a8e097b   esp = 0x0031fae4   ebp = 0x0031fb10
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   5  xul.dll!ScopedXPCOMStartup::~ScopedXPCOMStartup() [nsAppRunner.cpp:626efff0df63 : 1445 + 0xb]
17:06:31     INFO -      eip = 0x5a8d60b1   esp = 0x0031fb18   ebp = 0x0031fb24
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   6  xul.dll!mozilla::DefaultDelete<ScopedXPCOMStartup>::operator()(ScopedXPCOMStartup *) [UniquePtr.h:626efff0df63 : 528 + 0xe]
17:06:31     INFO -      eip = 0x5a8d6479   esp = 0x0031fb2c   ebp = 0x0031fb2c
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   7  xul.dll!XREMain::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:626efff0df63 : 4761 + 0x14]
17:06:31     INFO -      eip = 0x5a8dad5d   esp = 0x0031fb34   ebp = 0x0031fb74
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   8  xul.dll!XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:626efff0df63 : 4826 + 0x10]
17:06:31     INFO -      eip = 0x5a8da7b9   esp = 0x0031fb7c   ebp = 0x0031fc8c
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -   9  xul.dll!mozilla::BootstrapImpl::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [Bootstrap.cpp:626efff0df63 : 45 + 0xe]
17:06:31     INFO -      eip = 0x5a8e6929   esp = 0x0031fc94   ebp = 0x0031fca0
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  10  firefox.exe!do_main [nsBrowserApp.cpp:626efff0df63 : 236 + 0x26]
17:06:31     INFO -      eip = 0x0125173b   esp = 0x0031fca8   ebp = 0x0031fde4
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  11  firefox.exe!NS_internal_main(int,char * *,char * *) [nsBrowserApp.cpp:626efff0df63 : 309 + 0xc]
17:06:31     INFO -      eip = 0x012513a5   esp = 0x0031fdec   ebp = 0x0031fe1c
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  12  firefox.exe!wmain [nsWindowsWMain.cpp:626efff0df63 : 115 + 0xf]
17:06:31     INFO -      eip = 0x01251a78   esp = 0x0031fe24   ebp = 0x0031fe5c
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  13  firefox.exe!__scrt_common_main_seh [exe_common.inl : 253 + 0x1d]
17:06:31     INFO -      eip = 0x012863eb   esp = 0x0031fe64   ebp = 0x0031fea4
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  14  kernel32.dll!BaseThreadInitThunk + 0x12
17:06:31     INFO -      eip = 0x76283c45   esp = 0x0031feac   ebp = 0x0031feb0
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  15  ntdll.dll!__RtlUserThreadStart + 0x27
17:06:31     INFO -      eip = 0x778337f5   esp = 0x0031feb8   ebp = 0x0031fef0
17:06:31     INFO -      Found by: call frame info
17:06:31     INFO -  16  ntdll.dll!_RtlUserThreadStart + 0x1b
17:06:31     INFO -      eip = 0x778337c8   esp = 0x0031fef8   ebp = 0x0031ff08
17:06:31     INFO -      Found by: call frame info
Jan, can you please take a look. FWIW, the test was last touched by Florian's big async/await patch around the same time this started happening. Retriggers on central are also pointing at that as the culprit, though I assume it's an indirect one.
Flags: needinfo?(jvarga)
this is a debug e10s failure, with 18 failures yesterday, this is concerning that we will be on a fast path to disabling the test.
Whiteboard: [stockwell needswork]
This hit me on try and I ended up investigating it because I thought it's my fault.  Turns out that this is a time bomb.  Here is what happens:

* The idle-daily observer sometimes runs.
* We run QuotaManagerService::PerformIdleMaintenance() which ends up setting mIdleObserverRegistered to true.
* Then at shutdown, profile-change-teardown is dispatched before profile-before-change-qm: <https://searchfox.org/mozilla-central/source/toolkit/xre/nsXREDirProvider.cpp#1097>
* During profile-change-teardown, the idle observers are cleaned up: <https://searchfox.org/mozilla-central/rev/20963d7269b1b14d455f47bc0260d0653015bf84/widget/nsIdleService.cpp#118>
* During profile-before-change-qm, QuotaManagerService::RemoveIdleObserver() gets called which brings us to <https://searchfox.org/mozilla-central/rev/20963d7269b1b14d455f47bc0260d0653015bf84/dom/quota/QuotaManagerService.cpp#507>.  RemoveIdleObserver however always returns NS_ERROR_FAILURE when there is no idle observer registered <https://searchfox.org/mozilla-central/source/widget/nsIdleService.cpp#522>, and since the idle observers are already cleaned up, that's what it returns here, so we assert because of the MOZ_ALWAYS_SUCCEEDS!
Assignee: nobody → ehsan
Component: Session Restore → DOM: Quota Manager
Product: Firefox → Core
Flags: needinfo?(jvarga)
(In reply to :Ehsan Akhgari (needinfo please, extremely long backlog) from comment #10)
> * During profile-change-teardown, the idle observers are cleaned up:
> <https://searchfox.org/mozilla-central/rev/
> 20963d7269b1b14d455f47bc0260d0653015bf84/widget/nsIdleService.cpp#118>

Hm, I don't think this is the place where all idle observers are cleaned up.
When we get profile-change-teardown here, mShutdownInProgress is set to true
and then we bail out if mShutdownInProgress is set.
Comment on attachment 8875019 [details] [diff] [review]
Ignore the return value of nsIIdleService::RemoveIdleObserver() because it may fail during shutdown

Review of attachment 8875019 [details] [diff] [review]:
-----------------------------------------------------------------

Ok, thanks.
(However, it's not clear to me where in the code we remove these observers)
Attachment #8875019 - Flags: review?(jvarga) → review+
Hmm, I think you're right actually in comment 12, I was misunderstanding this code.  Even though my patch fixes the error it's not for the right reason as I originally thought, so I don't know if landing it is the right thing to do.  (But I also don't know if the assertion on the return value of RemoveIdleObserver is worth doing, but that's the existing code...)

I guess I will unassign this bug from myself.  I don't have any other theories here.
Assignee: ehsan → nobody
(In reply to :Ehsan Akhgari (needinfo please, extremely long backlog) from comment #15)
> thing to do.  (But I also don't know if the assertion on the return value of
> RemoveIdleObserver is worth doing, but that's the existing code...)

I checked some other callers of RemoveIdleObserver() in the codebase and they just ignore the return value.
Maybe we can land your patch after all (with updated comment).

However, I'll try to find the place where the observer is unregistered first. If I'm not successful, we can land the patch.
this is linux32/opt non-e10s primarily.

:janv, I see you had commented on this bug in the past, now it looks like the failure rate has greatly increased- can you help find somebody to look into this?
Flags: needinfo?(jvarga)
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/6e3e79a9b873
Skip test browser_windowStateContainer.js, for intermittent crashes; r=me,test-only
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]
Disabling the test seems to have spawned bug 1379781 which is the same assertion failure on a different test. Given that the assertion is failing pretty frequently and nobody seems to be doing anything about it, the assertion is useless to have in the code. So I'm going to land ehsan's patch that removes it, and back out Geoff's patch that disabled the test.
Pushed by kgupta@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/7925174cd180
Ignore the return value of nsIIdleService::RemoveIdleObserver() because it may fail during shutdown; r=janv
https://hg.mozilla.org/integration/mozilla-inbound/rev/cedbd6b463c1
Back out cset 6e3e79a9b873 from bug 1364764 to re-enable the test, since the assertion has been removed instead. r=backout
Keywords: leave-open
Whiteboard: [stockwell disabled]
https://hg.mozilla.org/mozilla-central/rev/cedbd6b463c1
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla56
Assignee: nobody → ehsan
This was a debug-only assertion, so I just pushed it to Beta a=NPOTB since it doesn't affect the builds we ship.
https://hg.mozilla.org/releases/mozilla-beta/rev/afb827170900
Flags: in-testsuite-
Whiteboard: [stockwell fixed:product]
No longer blocks: 1379781
Duplicate of this bug: 1379781
Flags: needinfo?(jvarga)
You need to log in before you can comment on or make changes to this bug.